package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Log;

import java.util.List;
import java.util.Map;

public interface HistoryMapper {
    // 사용 이력 리스트 조회
    List<Log> getHistoryList(Map map);

    //전체 데이터 count
    int getAllCnt(Map map);
    int getTotal();
    String getLogJson(String id);
    void saveLog(Map map);

    //임시로 Meta Data를 넣기 위한 Mepper
    void truncateMetaTable();
    void insertMetaData(Map map);

}
